Subject: Re: [X2Go-Dev] Bug#100:

From: Stefan Baur <[email-masked]>
Date: Tue, 15 Jan 2013 22:04:08 +0100

Am 15.01.2013 17:36, schrieb Christoph Mathys:

> The x2go-client seems to deadlock if I do a reboot/shutdown of the server.

<snip>

I can confirm this for 3.99.3.0 (with old PulseAudio), MS Windows 7.
Earlier versions are also affected, though I haven't tried them all to 
check if the bug was introduced somewhere along the road or has been in 
there from the very beginning.

The same error also occurs when network connectivity is lost or the 
client-side screensaver activates (not immediately, though - it seems to 
take a few minutes before it locks up).

Deadlock in this case means unresponsiveness *and* very high CPU load by 
the x2goclient.exe task (the "idle" task is at 0% and x2goclient at up 
to 99%).

-Stefan